upgrading to 6.35 (7.0.2) breaks cups 2.2.10 Topic is solved

Have some feedback, questions, suggestions, or just fancy a chat? Pop it in here.
Post Reply
pjpjpjpj
Posts: 5
Joined: Tue Apr 13, 2021 8:34 pm

upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by pjpjpjpj »

Hi there,

I'm currently running dietpi v6.34.3 when I upgrade to (v6.35.0) 7.0.2, cups 2.2.10 breaks, i.e. the site fails to load, if I restore from backup everything works as expected.

if I do sudo apt-get install cups -y i'm told i'm running the latest version of cups, yet the site shows 2.3, so there is a newer version available, should I try and upgrade to this version ?

is cups supported on dietpi ? how to up upgrade to dietpi 7.0.4 and have cups running ?

thanks for any assistance.

(also why does it say upgrading to 6.35 when there is no documentaton and it actually upgrades to 7.0.2)
User avatar
Joulinar
Posts: 5688
Joined: Sat Nov 16, 2019 12:49 am

Re: upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by Joulinar »

Hi,

there should no issue to run CUPS on DietPi as it's installed via apt package usually. During dietpi-update an apt upgrade is done, updating all your apt managed packages. Maybe there is another package influencing CUPS.

To check if the package update might be the issue, you could try running apt update && apt upgrade. If CUPS will not be reaching afterwards, we would need to check why. If it is the service or some configuration.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
pjpjpjpj
Posts: 5
Joined: Tue Apr 13, 2021 8:34 pm

Re: upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by pjpjpjpj »

Hi there,

appreciate the reply, I ran apt update && sudo apt upgrade, rebooted and all is good, cups was not upgraded. I will now try an dietpi-update and see.

appreciate the help, thanks
User avatar
Joulinar
Posts: 5688
Joined: Sat Nov 16, 2019 12:49 am

Re: upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by Joulinar »

as there is no new CUPS version available

2.2.10 is the latest one and has not been updated since end of 2020 https://packages.debian.org/buster/cups
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
pjpjpjpj
Posts: 5
Joined: Tue Apr 13, 2021 8:34 pm

Re: upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by pjpjpjpj »

tried upgrading and the same thing happens, you can get to the first page in cups, but going to admin / printers / jobs and get page cannot be found, any ideas which log file to look in ?
pjpjpjpj
Posts: 5
Joined: Tue Apr 13, 2021 8:34 pm

Re: upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by pjpjpjpj »

cups.org shows 2.3.3
pjpjpjpj
Posts: 5
Joined: Tue Apr 13, 2021 8:34 pm

Re: upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by pjpjpjpj »

got it working, looks like the cups "service" was dropped after the dietpi upgrade, so used dietpi-services and added it back in, rebooted twice and all cups pages are working.

many thanks
User avatar
Joulinar
Posts: 5688
Joined: Sat Nov 16, 2019 12:49 am

Re: upgrading to 6.35 (7.0.2) breaks cups 2.2.10

Post by Joulinar »

yes cups.org is showing a higher version, but this one is not available via normal apt packages. If you like to get this version, you would need to compile it yourself from source https://github.com/apple/cups/blob/v2.3.3/INSTALL.md

actually

Code: Select all

dietpi-services
should not be needed to have cups running. You could have checked the native CUPS service as well.

Anyway this behaviour will change in 7.1 as we will add CUPS as optimized software on next release https://github.com/MichaIng/DietPi/pull/4255
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
Post Reply